| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxArchiveFSHandler Class Reference

`#include <wx/fs_arc.h>`

Inheritance diagram for wxArchiveFSHandler:
[legend]

## Detailed Description

A file system handler for accessing files inside of archives.

## Public Member Functions

| wxArchiveFSHandler ()
virtual | ~wxArchiveFSHandler ()
void | Cleanup ()
Public Member Functions inherited from wxFileSystemHandler
| wxFileSystemHandler ()
| Constructor.
virtual bool | CanOpen (const wxString &location)=0
| Returns true if the handler is able to open this file.
virtual wxString | FindFirst (const wxString &wildcard, int flags=0)
| Works like wxFindFirstFile().
virtual wxString | FindNext ()
| Returns next filename that matches parameters passed to wxFileSystem::FindFirst.
virtual wxFSFile * | OpenFile (wxFileSystem &fs, const wxString &location)=0
| Opens the file and returns wxFSFile pointer or NULL if failed.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Static Public Member Functions inherited from wxFileSystemHandler
static wxString | GetMimeTypeFromExt (const wxString &location)
| Returns the MIME type based on extension of location.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Static Protected Member Functions inherited from wxFileSystemHandler
static wxString | GetAnchor (const wxString &location)
| Returns the anchor if present in the location.
static wxString | GetLeftLocation (const wxString &location)
| Returns the left location string extracted from location.
static wxString | GetProtocol (const wxString &location)
| Returns the protocol string extracted from location.
static wxString | GetRightLocation (const wxString &location)
| Returns the right location string extracted from location.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxArchiveFSHandler::wxArchiveFSHandler | ( |  | ) |

virtual wxArchiveFSHandler::~wxArchiveFSHandler | ( |  | ) |

virtual

## Member Function Documentation

void wxArchiveFSHandler::Cleanup | ( |  | ) |